## scamper 20070523n

=== Makefile ===
# scamper Makefile for use with BSD make
# $Id: Makefile,v 1.67 2007/03/06 03:08:49 mjl Exp $

CFLAGS+=		-Wall
LDFLAGS+=		-Wall
OBJS=			scamper.o \
			scamper_list.o scamper_tlv.o \
			utils.o \
			scamper_do_trace.o scamper_trace.o \
			scamper_do_ping.o scamper_ping.o \
			scamper_addresslist.o \
			scamper_debug.o \
			scamper_udp4.o scamper_udp6.o \
			scamper_icmp4.o scamper_icmp6.o scamper_icmp_resp.o \
			scamper_tcp4.o scamper_tcp6.o \
			scamper_ip6.o \
			scamper_rtsock.o scamper_dl.o scamper_addr2mac.o \
			scamper_fds.o scamper_linepoll.o scamper_writebuf.o \
			scamper_privsep.o scamper_getsrc.o \
			mjl_list.o mjl_splaytree.o mjl_heap.o \
			scamper_file.o scamper_file_traceroute.o \
			scamper_file_warts.o scamper_file_arts.o \
			scamper_control.o \
			scamper_outfiles.o scamper_addr.o scamper_probe.o \
			scamper_target.o scamper_task.o scamper_queue.o \
			scamper_cyclemon.o scamper_options.o

HDRS=			scamper.h scamper_addr.h utils.h

LIBSCAMPERFILE_OBJS=	scamper_file.o scamper_trace.o scamper_file_arts.o \
			scamper_file_warts.o scamper_file_traceroute.o \
			mjl_splaytree.o utils.o scamper_addr.o \
			scamper_list.o scamper_ping.o scamper_tlv.o

MANS=			scamper.1

.if defined(WITH_DEBUG)
CFLAGS+=		-g
.else
CFLAGS+=		-DNDEBUG
.endif

.if defined(WITH_DMALLOC)
CFLAGS+=		-DDMALLOC -I/usr/local/include
LDFLAGS+=		-L/usr/local/lib -ldmalloc
.endif

.if defined(WITH_TSC_CLOCK)
CFLAGS+=		-DHAVE_TSC_CLOCK
LDFLAGS+=		-lm
.endif

.if defined(WITHOUT_PRIVSEP)
CFLAGS+=		-DWITHOUT_PRIVSEP
.endif

all:			scamper libscamperfile.a warts-dump sc_analysis_dump \
			warts2traceroute sc_sorter warts-cat

scamper:		${OBJS}	
			${CC} -o scamper ${LDFLAGS} ${OBJS}

libscamperfile.a:	${LIBSCAMPERFILE_OBJS}
			rm -f $@
			ar cq $@ ${LIBSCAMPERFILE_OBJS}

warts-cat:		warts-cat.o mjl_heap.o libscamperfile.a
			${CC} -o warts-cat ${LDFLAGS} warts-cat.o mjl_heap.o \
				-L./ -lscamperfile

warts-dump:		warts-dump.o libscamperfile.a
			${CC} -o warts-dump ${LDFLAGS} warts-dump.o \
				-L./ -lscamperfile

sc_analysis_dump:	sc_analysis_dump.o libscamperfile.a
			${CC} -o sc_analysis_dump ${LDFLAGS} \
				sc_analysis_dump.o -L./ -lscamperfile

sc_sorter:		sc_sorter.o utils.o libscamperfile.a
			${CC} -o sc_sorter ${LDFLAGS} \
				sc_sorter.o utils.o -L./ -lscamperfile

warts2traceroute:	warts2traceroute.o libscamperfile.a
			${CC} -o warts2traceroute ${LDFLAGS} \
				warts2traceroute.o -L./ -lscamperfile

clean:
			rm -f scamper ${OBJS} *~ \
				warts-dump warts-dump.o warts-dump.core \
				sc_analysis_dump sc_analysis_dump.o \
				sc_analysis_dump.core \
				warts2traceroute warts2traceroute.o \
				warts2traceroute.core \
				sc_sorter sc_sorter.o sc_sorter.core \
				warts-cat warts-cat.o warts-cat.core \
				libscamperfile.a scamper.core TODO~ \
				$(MANS:%=%~)

install:		all
			mv scamper scamper.bin
			install -m 4755 -o root scamper.bin scamper
			rm -f scamper.bin

## scamper 20100517

=== Makefile ===
# scamper Makefile for use with BSD make
# $Id: Makefile,v 1.98 2010/05/11 02:07:22 mjl Exp $

LDFLAGS+=		-Wall
OBJS=			scamper.o scamper_debug.o utils.o \
			scamper_list.o scamper_tlv.o scamper_icmpext.o \
			scamper_do_trace.o scamper_trace.o \
			scamper_do_ping.o scamper_ping.o \
			scamper_do_tracelb.o scamper_tracelb.o \
			scamper_do_dealias.o scamper_dealias.o \
			scamper_do_sting.o scamper_sting.o \
			scamper_do_neighbourdisc.o scamper_neighbourdisc.o \
			scamper_do_tbit.o scamper_tbit.o \
			scamper_udp4.o scamper_udp6.o \
			scamper_icmp4.o scamper_icmp6.o scamper_icmp_resp.o \
			scamper_tcp4.o scamper_tcp6.o \
			scamper_ip6.o scamper_ip4.o scamper_if.o \
			scamper_rtsock.o scamper_dl.o scamper_addr2mac.o \
			scamper_fds.o scamper_linepoll.o scamper_writebuf.o \
			scamper_dlhdr.o scamper_privsep.o scamper_getsrc.o \
			mjl_list.o mjl_splaytree.o mjl_heap.o \
			scamper_file.o scamper_file_traceroute.o \
			scamper_file_warts.o scamper_file_arts.o \
			scamper_control.o scamper_firewall.o \
			scamper_outfiles.o scamper_addr.o scamper_probe.o \
			scamper_target.o scamper_task.o scamper_queue.o \
			scamper_cyclemon.o scamper_options.o \
			scamper_sources.o scamper_source_cmdline.o \
			scamper_source_control.o scamper_source_file.o \
			scamper_source_tsps.o

HDRS=			scamper.h scamper_addr.h utils.h

LIBSCAMPERFILE_OBJS=	scamper_file.o scamper_file_arts.o \
			scamper_file_warts.o scamper_file_traceroute.o \
			mjl_splaytree.o utils.o scamper_addr.o \
			scamper_list.o  scamper_tlv.o scamper_icmpext.o \
			scamper_trace.o scamper_ping.o scamper_tracelb.o \
			scamper_dealias.o scamper_sting.o scamper_tbit.o \
			scamper_neighbourdisc.o

AR=			ar cq

MANS=			scamper.1

.if defined(WITH_DEBUG)
CFLAGS=			-pipe -g
.else
CFLAGS+=		-DNDEBUG -fno-strict-aliasing
.endif

CFLAGS+=		-Wall

.if defined(WITH_DMALLOC)
CFLAGS+=		-DDMALLOC -I/usr/local/include
LDFLAGS+=		-L/usr/local/lib -ldmalloc
.endif

.if defined(WITH_TSC_CLOCK)
CFLAGS+=		-DHAVE_TSC_CLOCK
LDFLAGS+=		-lm
.endif

.if defined(WITH_UNIVERSAL)
CFLAGS+=		-arch ppc -arch i386
LDFLAGS+=		-arch ppc -arch i386
AR=			libtool -o
.endif

.if defined(WITHOUT_PRIVSEP)
CFLAGS+=		-DWITHOUT_PRIVSEP
.endif

.if defined(WITHOUT_DEBUGFILE)
CFLAGS+=		-DWITHOUT_DEBUGFILE
.endif

PROGS=			scamper warts-dump sc_analysis_dump \
			warts2traceroute warts-cat warts-fix sc_attach

all:			${PROGS}

scamper:		${OBJS}	
			${CC} -o scamper ${LDFLAGS} ${OBJS}

libscamperfile.a:	${LIBSCAMPERFILE_OBJS}
			rm -f $@
			${AR} $@ ${LIBSCAMPERFILE_OBJS}

warts-cat:		warts-cat.o mjl_heap.o libscamperfile.a
			${CC} -o warts-cat ${LDFLAGS} warts-cat.o mjl_heap.o \
				-L./ -lscamperfile

warts-dump:		warts-dump.o libscamperfile.a
			${CC} -o warts-dump ${LDFLAGS} warts-dump.o \
				-L./ -lscamperfile

warts-fix:		warts-fix.o utils.o
			${CC} -o warts-fix ${LDFLAGS} warts-fix.o utils.o

sc_analysis_dump:	sc_analysis_dump.o libscamperfile.a
			${CC} -o sc_analysis_dump ${LDFLAGS} \
				sc_analysis_dump.o \
				-L./ -lscamperfile

sc_attach:		sc_attach.o utils.o mjl_list.o libscamperfile.a
			${CC} -o sc_attach ${LDFLAGS} \
				sc_attach.o utils.o mjl_list.o \
				-L./ -lscamperfile

warts2traceroute:	warts2traceroute.o libscamperfile.a
			${CC} -o warts2traceroute ${LDFLAGS} \
				warts2traceroute.o \
				-L./ -lscamperfile

.if defined(WITH_LISTDEBUG)
mjl_list.o:		mjl_list.c mjl_list.h
			${CC} ${CFLAGS} -DMJLLIST_DEBUG -c mjl_list.c
.endif

.if defined(WITH_TREEDEBUG)
mjl_splaytree.o:	mjl_splaytree.c mjl_splaytree.h
			${CC} ${CFLAGS} -DMJLSPLAYTREE_DEBUG -c mjl_splaytree.c
.endif

.if defined(WITH_HEAPDEBUG)
mjl_heap.o:		mjl_heap.c mjl_heap.h
			${CC} ${CFLAGS} -DMJLHEAP_DEBUG -c mjl_heap.c
.endif

scamper.1.ps:		scamper.1
			groff -mandoc scamper.1 -t > $@

wc:
			wc -l $(OBJS:%.o=%.c) $(OBJS:%.o=%.h) | sort -n

clean:
			rm -f scamper ${OBJS} ${PROGS} *~ \
				$(PROGS:%=%.o) $(PROGS:%=.core) \
				libscamperfile.a TODO~ \
				$(MANS:%=%~) $(MANS:%=%.ps)

install:		scamper
			mv scamper scamper.bin
			install -m 4755 -o root scamper.bin scamper
			rm -f scamper.bin

## scamper 20110503

=== debian/changelog ===
scamper (20110503-1build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 09:07:28 +0100

scamper (20110503-1) unstable; urgency=low

  * New upstream release
    - New tools and modules.
    - New library for accessing scamper dump files.
  * Switch to dpkg-source 3.0 (quilt) format
  * Major package re-org to deal with new autotooled scamper source.
    - Use dh(1) to do most of our rules.
    - Bump debhelper compat level to 8.

 -- Matt Brown <mattb@debian.org>  Sun, 08 May 2011 22:27:18 +0100

scamper (20100517-1) unstable; urgency=low

  * New upstream release
  * Fix mistake in long package description (Closes: #589813).

 -- Matt Brown <mattb@debian.org>  Sat, 16 Oct 2010 15:51:34 +0100

scamper (20070523n-1) unstable; urgency=low

  * New upstream release

 -- Matt Brown <mattb@debian.org>  Sat, 26 Jul 2008 16:18:16 +0100

scamper (20070523m-1) unstable; urgency=low

  * New upstream release

 -- Matt Brown <mattb@debian.org>  Sun, 22 Jun 2008 17:39:36 +0100

scamper (20070523i-2) unstable; urgency=low

  * Correct copyright documentation to point at GPL-2 specifically rather than
    the common GPL symlink which currently points to GPLv3.

 -- Matt Brown <mattb@debian.org>  Sat, 22 Dec 2007 01:12:47 +0000

scamper (20070523i-1) unstable; urgency=low

  * Initial release (Closes: #456995)

 -- Matt Brown <mattb@debian.org>  Wed, 19 Dec 2007 22:12:40 +0000

=== debian/control ===
Source: scamper
Section: admin
Priority: extra
Maintainer: Matt Brown <mattb@debian.org>
Build-Depends: debhelper (>= 8), autoconf, automake
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.2
Homepage: http://www.wand.net.nz/scamper/

Package: scamper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parallel Internet measurement utility
 scamper is a program that is able to conduct Internet measurement
 tasks to large numbers of IPv4 and IPv6 addresses, in parallel, to
 fill a specified packets-per-second rate. Currently, it supports the
 well-known ping and traceroute techniques, as well as MDA traceroute,
 alias resolution, some parts of tbit, sting, and neighbour discovery.
 .
 scamper can do ICMP-based Path MTU discovery. scamper starts with the
 outgoing interface's MTU and discovers the location of Path MTU
 bottlenecks. scamper performs a PMTUD search when an ICMP
 fragmentation required message is not returned to establish the PMTU
 to the next point in the network, followed by a TTL limited search to
 infer where the failure appears to occur.

Package: libscamperfile0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: file access library for scamper's binary dump format
 scamper is a program that is able to conduct Internet measurement
 tasks to large numbers of IPv4 and IPv6 addresses, in parallel, to
 fill a specified packets-per-second rate. Currently, it supports the
 well-known ping and traceroute techniques, as well as MDA traceroute, 
 alias resolution, some parts of tbit, sting, and neighbour discovery.
 .
 This package contains the library that provides access to the binary output
 files that scamper can produce in certain modes.

Package: libscamperfile0-dev
Section: libdevel
Architecture: any
Depends: libscamperfile0 (= ${binary:Version}), ${misc:Depends}
Provides: libscamperfile-dev
Conflicts: libscamperfile-dev
Description: development headers for scamper's binary dump file access library
 scamper is a program that is able to conduct Internet measurement
 tasks to large numbers of IPv4 and IPv6 addresses, in parallel, to
 fill a specified packets-per-second rate. Currently, it supports the
 well-known ping and traceroute techniques, as well as MDA traceroute,
 alias resolution, some parts of tbit, sting, and neighbour discovery.
 .
 This package contains development headers and other ancillary files for the
 libscamperfile library.

## scamper 20111202a

=== debian/changelog ===
scamper (20111202a-1) unstable; urgency=low

  * New upstream release
  * Add missing dependency on autotools-dev.
  * Bump Standards-Version. No changes required.

 -- Matt Brown <mattb@debian.org>  Tue, 20 Mar 2012 23:02:50 +0000

## scamper 20111202b

=== debian/changelog ===
scamper (20111202b-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).
  * Use the "foreign" option for automake to fix FTBFS while autoreconfing.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 29 Dec 2013 22:26:27 -0500

scamper (20111202b-1) unstable; urgency=low

  * New upstream release
  * Removes libscamperfile dependency from the main scamper binary.

 -- Matt Brown <mattb@debian.org>  Wed, 04 Apr 2012 22:50:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: scamper
 Section: admin
 Priority: extra
-Maintainer: Matt Brown <mattb@debian.org>
-Build-Depends: debhelper (>= 8), autoconf, automake
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matt Brown <mattb@debian.org>
+Build-Depends: debhelper (>= 8), dh-autoreconf, autoconf, automake
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.wand.net.nz/scamper/
 
 Package: scamper

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Debhelper does all the magic for us :)
%:
	dh $@ --with autoreconf 

override_dh_fixperms:
	dh_fixperms
	# Scamper binary needs setuid.
	chmod 4755 debian/scamper/usr/bin/scamper

# sc_wartsfix has no manpage and limited utility.
# don't ship it.
override_dh_auto_install:
	dh_auto_install
	rm debian/tmp/usr/bin/sc_wartsfix

## scamper 20140122

=== debian/changelog ===
scamper (20140122-1) unstable; urgency=medium

  * New upstream release. Closes: #736192.

 -- Matt Brown <mattb@debian.org>  Sun, 26 Jan 2014 15:41:42 +0000

scamper (20130824-1) unstable; urgency=low

  * New upstream release.
  * The following packaging updates were contributed by Zack Weinberg:
    - Update upstream contact and licensing information. Add watchfile.
    - Bump to debhelper compat level 9 and enable multiarch for
      libscamperfile0. (Note that due to lack of packaging manpower, we
      are not providing a symbols file for libscamperfile0 at this time.)
    - Use dh-autoreconf instead of autotools-dev; facilitates ppc64el
      support. Patch by Logan Rosen, adjusted to use upstream's
      bootstrap.pl instead of patching configure.ac. Closes: #733581.
    - Standards-Version: 3.9.5 (no further changes required).
  * Thanks Zack!

 -- Matt Brown <mattb@debian.org>  Sun, 26 Jan 2014 15:17:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: scamper
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matt Brown <mattb@debian.org>
-Build-Depends: debhelper (>= 8), dh-autoreconf, autoconf, automake
+Maintainer: Matt Brown <mattb@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, autoconf, automake
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.3
-Homepage: http://www.wand.net.nz/scamper/
+Standards-Version: 3.9.5
+Homepage: http://www.caida.org/tools/measurement/scamper/
 
 Package: scamper
 Architecture: any
@@ -28,12 +27,14 @@
 Package: libscamperfile0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: file access library for scamper's binary dump format
  scamper is a program that is able to conduct Internet measurement
  tasks to large numbers of IPv4 and IPv6 addresses, in parallel, to
  fill a specified packets-per-second rate. Currently, it supports the
- well-known ping and traceroute techniques, as well as MDA traceroute, 
+ well-known ping and traceroute techniques, as well as MDA traceroute,
  alias resolution, some parts of tbit, sting, and neighbour discovery.
  .
  This package contains the library that provides access to the binary output

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,10 @@
 
 # Debhelper does all the magic for us :)
 %:
-	dh $@ --with autoreconf 
+	dh $@ --with autoreconf
+
+override_dh_autoreconf:
+	dh_autoreconf ./bootstrap.pl
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=3

# Upstream puts a -cvs- infix in the file names, which is neither
# part of the package name nor the version number as far as Debian is
# concerned.
opts=filenamemangle=s/-cvs-/-/ \
  http://www.caida.org/tools/measurement/scamper/code/ \
  scamper-cvs-(.+)\.tar\.gz \
  debian uupdate

## scamper 20141031

=== debian/changelog ===
scamper (20141031-1) unstable; urgency=medium

  * New upstream release

 -- Matt Brown <mattb@debian.org>  Fri, 31 Oct 2014 22:43:02 +0000

scamper (20140530-1) unstable; urgency=medium

  * New upstream release
  * Bumped Standards-Version to 3.9.6 (no changes required).

 -- Matt Brown <mattb@debian.org>  Fri, 24 Oct 2014 00:20:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Matt Brown <mattb@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autoconf, automake
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.caida.org/tools/measurement/scamper/
 
 Package: scamper

## scamper 20141211d

=== debian/changelog ===
scamper (20141211d-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
   - Maintainer is now the Internet Measurement Team (pkg-netmeasure)
   - Added myself to uploaders
   - Added Vcs-* fields for Git repository on Alioth

 -- Iain R. Learmonth <irl@debian.org>  Thu, 18 Feb 2016 16:24:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: scamper
 Section: admin
 Priority: extra
-Maintainer: Matt Brown <mattb@debian.org>
+Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
+Uploaders: Matt Brown <mattb@debian.org>, Iain R. Learmonth <irl@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autoconf, automake
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.9.6
+Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/scamper.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/scamper.git
 Homepage: http://www.caida.org/tools/measurement/scamper/
 
 Package: scamper

## scamper 20141211e

=== debian/changelog ===
scamper (20141211e-1) unstable; urgency=medium

  * New upstream version 20141211e.
  * debian/control:
   - Bump Standards-Version to 3.9.8.
  * debian/rules:
   - Do not install sc_warts2csv. This does not have a man page and
     appears to only be included for SamKnows.
   - Enable build hardening.

 -- Iain R. Learmonth <irl@debian.org>  Tue, 05 Jul 2016 21:53:47 +0100

## scamper 20141211f

=== debian/changelog ===
scamper (20141211f-1) unstable; urgency=medium

  * New upstream version 20141211f.

 -- Iain R. Learmonth <irl@debian.org>  Mon, 19 Sep 2016 15:37:15 +0100

## scamper 20161113

=== debian/changelog ===
scamper (20161113-1) unstable; urgency=medium

  * New upstream version 20161113.

 -- Iain R. Learmonth <irl@debian.org>  Sat, 03 Dec 2016 15:17:37 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Matt Brown <mattb@debian.org>, Iain R. Learmonth <irl@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autoconf, automake
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/scamper.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/scamper.git
 Homepage: http://www.caida.org/tools/measurement/scamper/

## scamper 20161204a

=== debian/changelog ===
scamper (20161204a-1) unstable; urgency=medium

  * New upstream version 20161204a
  * debian/control:
   - Update Standards-Version to 4.0.1

 -- Iain R. Learmonth <irl@debian.org>  Mon, 21 Aug 2017 17:34:04 +0100

scamper (20161204-1) unstable; urgency=medium

  [ Ana C. Custura ]
  * Converted copyright file to DEP-5 format

  [ Iain R. Learmonth ]
  * New upstream version 20161204

 -- Iain R. Learmonth <irl@debian.org>  Tue, 24 Jan 2017 16:42:48 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Matt Brown <mattb@debian.org>, Iain R. Learmonth <irl@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autoconf, automake
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/scamper.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/scamper.git
 Homepage: http://www.caida.org/tools/measurement/scamper/

## scamper 20170822

=== debian/changelog ===
scamper (20170822-1) unstable; urgency=medium

  * New upstream version 20170822
  * Adds Ana Custura to uploaders
  * debian/control:
   - Update Standards-Version to 4.1.0

 -- Ana Custura <ana@netstat.org.uk>  Sat, 02 Sep 2017 13:59:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: extra
 Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
-Uploaders: Matt Brown <mattb@debian.org>, Iain R. Learmonth <irl@debian.org>
+Uploaders: Matt Brown <mattb@debian.org>, Iain R. Learmonth <irl@debian.org>, Ana Custura <ana@netstat.org.uk>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autoconf, automake
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.0.1
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/scamper.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/scamper.git
 Homepage: http://www.caida.org/tools/measurement/scamper/

## scamper 20171204

=== debian/changelog ===
scamper (20171204-2) unstable; urgency=medium

  * Various updates and fixes
  * debian/control:
    - Updates project homepage link to https
    - Updates to debhelper compat version 11
    - Replaces outdated 'priority-extra' to 'priority-optional'
  * debian/changelog
    - Removes trailing whitespace
    - Bumps version number
  * debian/compat
    - Updates to version 11
  * debian/watch
    - Updates watch link to https
 -- Ana Custura <ana@netstat.org.uk>  Fri, 26 Jan 2018 11:39:44 +0000

scamper (20171204-1) unstable; urgency=medium

  * New upstream version 20171204
  * debian/control:
   - Update Standards-Version to 4.3.0

 -- Ana Custura <ana@netstat.org.uk>  Tue, 16 Jan 2018 01:06:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: scamper
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
 Uploaders: Matt Brown <mattb@debian.org>, Iain R. Learmonth <irl@debian.org>, Ana Custura <ana@netstat.org.uk>
-Build-Depends: debhelper (>= 9), dh-autoreconf, autoconf, automake
+Build-Depends: debhelper (>= 11), dh-autoreconf, autoconf, automake
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/scamper.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/scamper.git
-Homepage: http://www.caida.org/tools/measurement/scamper/
+Homepage: https://www.caida.org/tools/measurement/scamper/
 
 Package: scamper
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Debhelper does all the magic for us :)
 %:
@@ -17,7 +16,9 @@
 	chmod 4755 debian/scamper/usr/bin/scamper
 
 # sc_wartsfix has no manpage and limited utility.
+# sc_warts2csv has no manpage and limited utility.
 # don't ship it.
 override_dh_auto_install:
 	dh_auto_install
 	rm debian/tmp/usr/bin/sc_wartsfix
+	rm debian/tmp/usr/bin/sc_warts2csv

## scamper 20180309

=== debian/changelog ===
scamper (20180309-1) unstable; urgency=medium

  * New upstream version 20180309

 -- Ana Custura <ana@netstat.org.uk>  Tue, 27 Mar 2018 13:16:35 +0100

## scamper 20180504

=== debian/changelog ===
scamper (20180504-2) unstable; urgency=medium

  * Updates VCS fields
  * Removes unnecessary dependency on dh-autoreconf
  * Updates Standards-Version to 4.2.0

 -- Ana Custura <ana@netstat.org.uk>  Sun, 12 Aug 2018 17:13:52 +0100

scamper (20180504-1) unstable; urgency=medium

  * New upstream version 20180504

 -- Ana Custura <ana@netstat.org.uk>  Sun, 27 May 2018 23:06:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
 Uploaders: Matt Brown <mattb@debian.org>, Iain R. Learmonth <irl@debian.org>, Ana Custura <ana@netstat.org.uk>
-Build-Depends: debhelper (>= 11), dh-autoreconf, autoconf, automake
+Build-Depends: debhelper (>= 11), autoconf, automake
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/scamper.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/scamper.git
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/ineteng-team/scamper.git
+Vcs-Browser: https://salsa.debian.org/ineteng-team/scamper
 Homepage: https://www.caida.org/tools/measurement/scamper/
 
 Package: scamper

## scamper 20181219

=== debian/changelog ===
scamper (20181219-1) unstable; urgency=medium

  * New upstream version 20181219
  * Updates Standards-Version to 4.3.0

 -- Ana Custura <ana@netstat.org.uk>  Sat, 05 Jan 2019 16:38:31 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Matt Brown <mattb@debian.org>, Iain R. Learmonth <irl@debian.org>, Ana Custura <ana@netstat.org.uk>
 Build-Depends: debhelper (>= 11), autoconf, automake
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/ineteng-team/scamper.git
 Vcs-Browser: https://salsa.debian.org/ineteng-team/scamper
 Homepage: https://www.caida.org/tools/measurement/scamper/

## scamper 20191102

=== debian/changelog ===
scamper (20191102-1) unstable; urgency=medium

  * New upstream version 20191102 (Closes: #935276)
  * Bumps DH version, removes legacy compat file
  * Update S-V to 4.4.1 (no changes needed)

 -- Ana Custura <ana@netstat.org.uk>  Thu, 02 Jan 2020 20:59:32 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
 Uploaders: Matt Brown <mattb@debian.org>, Iain R. Learmonth <irl@debian.org>, Ana Custura <ana@netstat.org.uk>
-Build-Depends: debhelper (>= 11), autoconf, automake
+Build-Depends: debhelper-compat (= 12), autoconf, automake
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/ineteng-team/scamper.git
 Vcs-Browser: https://salsa.debian.org/ineteng-team/scamper
 Homepage: https://www.caida.org/tools/measurement/scamper/

## scamper 20211212

=== debian/changelog ===
scamper (20211212-1.2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:38:03 +1100

scamper (20211212-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062884

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:42:52 +0000

scamper (20211212-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Avoid hardcoding arch triplet to prevent
    FTBFS. (Closes: #1010122)

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Jul 2022 17:26:40 -0400

scamper (20211212-1) unstable; urgency=medium

  * Update watch file with new location
  * New upstream version 20211212
  * Add Rules-Requires-Root: no to debian/control
  * Bump debhelper-compat version to 13
  * Remove manpages for binaries not shipped
  * Remove irl from uploaders (Closes: #970373)

 -- Ana Custura <ana@netstat.org.uk>  Thu, 20 Jan 2022 13:45:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: scamper
 Section: admin
 Priority: optional
-Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
-Uploaders: Matt Brown <mattb@debian.org>, Iain R. Learmonth <irl@debian.org>, Ana Custura <ana@netstat.org.uk>
-Build-Depends: debhelper-compat (= 12), autoconf, automake
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
+Uploaders: Matt Brown <mattb@debian.org>, Ana Custura <ana@netstat.org.uk>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), autoconf, automake
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/ineteng-team/scamper.git
 Vcs-Browser: https://salsa.debian.org/ineteng-team/scamper
 Homepage: https://www.caida.org/tools/measurement/scamper/
+Rules-Requires-Root: no
 
 Package: scamper
 Architecture: any
@@ -27,7 +29,10 @@
  to the next point in the network, followed by a TTL limited search to
  infer where the failure appears to occur.
 
-Package: libscamperfile0
+Package: libscamperfile0t64
+Provides: ${t64:Provides}
+Replaces: libscamperfile0
+Breaks: libscamperfile0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -46,7 +51,7 @@
 Package: libscamperfile0-dev
 Section: libdevel
 Architecture: any
-Depends: libscamperfile0 (= ${binary:Version}), ${misc:Depends}
+Depends: libscamperfile0t64 (= ${binary:Version}), ${misc:Depends}
 Provides: libscamperfile-dev
 Conflicts: libscamperfile-dev
 Description: development headers for scamper's binary dump file access library

=== debian/watch ===
version=3

# Upstream puts a -cvs- infix in the file names, which is neither
# part of the package name nor the version number as far as Debian is
# concerned.
opts=filenamemangle=\
  https://www.caida.org/catalog/software/scamper/code/ \
  scamper-cvs-(.+)\.tar\.gz \
  debian uupdate
